.TH Tina n "Version 2.1.14" "Tina Tools"

.SH NAME
Toolbox for analysis of Petri nets and Time Petri nets,
including:
.nf
nd	  \- Net editor and Graphic interface for tools
.nf
tina	  \- Reachability analysis tool
.nf
struct \- Structural analysis tool

.SH SYNOPSIS

.B nd [\-\f2h\f1elp] 
[\-ag | \-at | \-ng | \-nt] 
[file]
.nf
.B tina    [\-\f2h\f1elp] 
     [\-C | \-R | \-V | \-P | \-Qp | \-Qb | \-Qh | \-W | \-Wm | \-S |
      \-Sa | \-A | \-U] [\-s n] [\-c n] [\-b n] [\-t s] [\-s n] [\-m n]
     [\-v | \-q | \-a]
.nf
.B struct [\-\f2h\f1elp] [\-t s] [\-v | \-q]

.SH DESCRIPTION

nd (netDraw)  embeds editors for graphic and  textual net descriptions
and  automata  descriptions.   Applications  tina and  struct  may  be
invoked  directly, or  from nd  (buttom "tools")  when editing  a net.
When  invoked  directly, they  operate  as  filters  : they  read  the
description of a Petri net or  Time Petri net in textual (.net format)
or  graphical form  (.ndr format  of files  produced by  nd)  on their
standard input, and print their results on their standard output.

.SH OPTIONS
.TP
.B \f2nd\f1 :

.TP
.B \-\f2h\f1elp Recalls options.

.TP
-ag | -at | -ng | -nt

Selection  of initial  editing mode  if no  file is  loaded.  With -ag
(resp. -at), edits an automaton  in graphic (resp. textual) form. With
-ng (resp.  -nt), edits  a Time Petri  net in graphic  (resp. textual)
form.

The editing mode of nd is determined by:
.nf
- its default value (-ng),
.nf
- superseded by the value found in the setup file, if any,
.nf
- superseded by the command line argument, if any,
.nf
- superseded by the mode determined from the contents of the file loaded, if any.

.TP
file

The file being loaded, if it exist (it must be in one of the above formats),
or a filename in which the item being edited is saved.


.TP
.B \f2tina\f1, \f2struct\f1 :

.TP
\-\f2h\f1elp Recalls options.

.TP
Operating mode options:

.TP
\-C

Builds the  Coverability  Graph  of  a  Petri  net (untimed,  of  with
temporal information  discarded), according to the method  of Karp and
Miller.

.TP
\-R

Builds the marking reachability graph of a Petri net (untimed, or with
temporal information discarded).

.TP
\-V

Builds  the Covering  Step  Graph of  a  Petri net,  according to  the
technique of Vernadat/Azema/Michel.

.TP
\-P

Builds  the partial marking  graph of  a Petri  net, according  to the
persistent sets technique.

.TP
\-Qp | -Qb | -Qh

Builds the partial marking graph  of a Petri net. Combine the persistent
sets (-P) and covering steps (-V) methods.

.TP
\-W

Build the  state class  graph of  a Time Petri  net, according  to the
technique  of  Berthomieu/Menasche.  If  no  temporal  information  is
specified,  or if  all transitions  bear  interval [0,w[,  then -W  is
silently replaced by -R.

.TP
\-Wm

As \-W, except interprets multi-enabledness of transitions.

.TP
\-S

Build the  state class graph of  a Time Petri net,  using strong class
equivalence.   If no  temporal  information is  specified,  or if  all
transitions bear interval [0,w[, then -S is silently replaced by -R.

.TP
\-Sa

As  \-S, except  signals  non atomic  state  classes.

.TP
\-A

Build the  atomic state class graph  of a Time Petri  net, following a
variant of Yoneda's method.   If no temporal information is specified,
or  if  all transitions  bear  interval  [0,w[,  then -A  is  silently
replaced by -R.

.TP
\-U

Build  the  uniform  state  class  graph  of  a  Time  Petri  net,  an
alternative to -A, generally  faster and producing smaller state class
graphs.

.TP
Stopping test and limits flags:

.TP
\-s n

Stopping test for the boundedness property.
.nf
\-s 0 : none, use limit option(s) to ensure termination
.nf
\-s 1 : Karp and Miller condition (default)
.nf
\-s 2 : \-s 1 + inclusion of firing domains
.nf
\-s 3 : \-s 2 + saturation of transitions following
       places with increasing markings (see documents).
.nf
With option \-R, conditions \-s 2 and \-s 3 are equivalent to \-s 1
.nf
With option \-C, no stopping test is necessary.

.TP
\-c n 
Bound on the number of markings to enumerate (none if n=0).

.TP
\-b n 
Bound on the marking of each place (none if n=0).

.TP
\-t n
Bound on duration of enumeration (none if n=0).

.TP
\-m n
Bound on multi-enabledness of transitions (none if n=0).

.TP
\-v | \-q | \-a
Output format selection :
.nf
\-v : textual output, prints full results
.nf
\-q : textual output, prints a summary of results
.nf
\-a : automaton output, results is the description of an automaton
     in .aut format, directly readable by e.g. aldebaran.

.TP
Default options are :

nd -ng buffer.ndr

tina -W -s 1 -c 0 -t 0 -b 0 -m 0 -v

struct -t 0 -v

.SH FILES

File nets/FORMATS specifies syntax of .net and .ndr net description files.

.SH EXAMPLES

.nf
tina -q  < nets/ifip.ndr
.nf
tina -s 2 < nets/abp.net  > abp.tina-W
.nf
tina -R -q < nets/ifip.ndr > ifip.tina-R
.nf
tina -a < nets/ifip.ndr > ifip.aut
.nf
struct < nets/ifip.ndr > ifip.struct
.nf
nd

.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2001, Bernard.Berthomieu@laas.fr.


